org.apache.http.client.cache

## Interface HttpCacheEntrySerializer

All Known Implementing Classes:
  DefaultHttpCacheEntrySerializer

    public interface HttpCacheEntrySerializer

Used by some `HttpCacheStorage` implementations to serialize `HttpCacheEntry` instances to a byte representation before storage.

### Method Summary

Methods
`HttpCacheEntry` `readFrom(InputStream is)` Deserializes a byte representation of a cache entry by reading from the given `InputStream`.
`void` `writeTo(HttpCacheEntry entry, OutputStream os)` Serializes the given entry to a byte representation on the given `OutputStream`.

### Method Detail

#### writeTo

    void writeTo(HttpCacheEntry entry,
               OutputStream os)
                 throws IOException

Serializes the given entry to a byte representation on the given `OutputStream`.

Throws:
  `IOException`

#### readFrom

    HttpCacheEntry readFrom(InputStream is)
                            throws IOException

Deserializes a byte representation of a cache entry by reading from the given `InputStream`.

Throws:
  `IOException`